package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Customer_information;
import com.realnet.basicp1.Services.Customer_informationService ;






























@RequestMapping(value = "/token/Customer_information")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Customer_informationController {
	@Autowired
	private Customer_informationService Service;

@Value("${projectPath}")
	private String projectPath;
 






























	@PostMapping("/Customer_information")
		  public Customer_information Savedata(@RequestBody Customer_information data) {
		Customer_information save = Service.Savedata(data)	;





























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Customer_information/{id}")
	public  Customer_information update(@RequestBody Customer_information data,@PathVariable Integer id ) {
		Customer_information update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Customer_information/getall/page")
	public Page<Customer_information> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Customer_information> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Customer_information")
	public List<Customer_information> getdetails() {
		 List<Customer_information> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Customer_information")
	public List<Customer_information> getallwioutsec() {
		 List<Customer_information> get = Service.getdetails();		
		return get;
}
@GetMapping("/Customer_information/{id}")
	public  Customer_information  getdetailsbyId(@PathVariable Integer id ) {
		Customer_information  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Customer_information/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}































}